Summary: Hyper animated face analog clock for X11
Name: EmiClock
Version: 1.0.2
Release: 1
Copyright: distributable
Group: Amusements/Games 
Source: ftp://ftp.cdrom.com/pub/FreeBSD/distfiles/EmiClock-1.0.2.tar.gz
Patch: EmiClock-1.0.2-config.sound.patch
BuildRoot: /var/tmp/emi-root

%description
Emi Clock for X11 is an analogue clock featuring a cute Japanese girl on
the clock face. You can change her costume manually or let it automatically
change every hour. It also has optional chimes and an alarm function.

%prep
%setup -q
%patch -p1 -b .amatu

%build
xmkmf
make depend
make all

%install
rm -rf $RPM_BUILD_ROOT


mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin/
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/{app-defaults,EmiClock}
mkdir -p $RPM_BUILD_ROOT/usr/man/man1

install -m 755 -s emiclock $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 644 sounds/myu.au $RPM_BUILD_ROOT/usr/X11R6/lib/X11/EmiClock/

cp emiclock.man $RPM_BUILD_ROOT/usr/man/man1/

mv resources/Xaw/EmiClock.ad EmiClock
mv EmiClock $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc 00.README COPYRIGHT COPYRIGHT.E ChangeLog INSTALL.JP README.JP ToDo
%dir /usr/X11R6/lib/X11/EmiClock
/usr/X11R6/bin/emiclock
/usr/X11R6//lib/X11/EmiClock/myu.au
/usr/X11R6/lib/X11/app-defaults/EmiClock
/usr/man/man1/emiclock.man

%changelog
* Sat Apr 10 1999 Michael Maher <mike@redhat.com>
- built package
